Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

i have adobe flash 10.2 installed on my computer through internet explorer, can i install flash plugin through firefox browser

  • 4 iimpendulo
  • 54 inale ngxaki
  • 80 views
  • Impendulo yokugqibela ngu Helper7677

more options

i installed firefox browser but it won't display farmville. Do i need to install flash plugin through firefox browser or internet explorer browser. I already have adobe flash player installed through internet explorer browser.

Isisombulu esikhethiweyo

There are 2 versions of Flash:

  • the ActiveX version for IE only (see: [ActiveX]
  • the plugin version for Firefox and other browsers, except IE

You must update/install both if you use IE and any other browser. See the instructions below.

  1. Update or Install the Flash plugin to the latest version.
    • Download and SAVE to your Desktop so you can find the installer later
    • If you do not have the current version, click on the "Player Download Center" link on the "Download and information" or "Download Manual installers" below
    • After download is complete, exit Firefox
    • Click on the installer you just downloaded and install
      • Windows 7 and Vista: may need to right-click the installer and choose "Run as Administrator"
    • Start Firefox and check your version again or test the installation by going back to the download link below
    • Download and information: http://www.adobe.com/software/flash/about/
      • Use Firefox to go to the above site to update the Firefox plugin (will also install plugin for most other browsers; except IE)
      • Use IE to go to the above site to update the IE ActiveX
    • Download Manual installers.

If the above solves the problem, please return to this answer and click on the "Solved" button next to this answer. Thanks.




Other issues needing your attention

The information submitted with your question indicates that you have out of date plugins with known security and stability issues that should be updated. To see the plugins submitted with your question, click "More system details..." to the right of your original question post. You can also see your plugins from the Firefox menu, Tools > Add-ons > Plugins.

  • Adobe Shockwave for Director Netscape plug-in, version 11.5
    • Several updates behind
    • The version you have installed has known security issues
  1. Check your plugin versions on either of the following links':
  1. Update Shockwave for Director
    • NOTE: this is not the same as Shockwave Flash; this installs the Shockwave Player.
    • Use Firefox to download and SAVE the installer to your hard drive from the link in the article below (Desktop is a good place so you can find it).
    • When the download is complete, exit Firefox (File > Exit)
    • locate and double-click in the installer you just downloaded, let the install complete.
    • Restart Firefox and check your plugins again.
    • Download link and more information: http://support.mozilla.com/en-US/kb/Using+the+Shockwave+plugin+with+Firefox
Funda le mpendulo kwimeko leyo 👍 5

All Replies (4)

more options

Isisombululo esiKhethiweyo

There are 2 versions of Flash:

  • the ActiveX version for IE only (see: [ActiveX]
  • the plugin version for Firefox and other browsers, except IE

You must update/install both if you use IE and any other browser. See the instructions below.

  1. Update or Install the Flash plugin to the latest version.
    • Download and SAVE to your Desktop so you can find the installer later
    • If you do not have the current version, click on the "Player Download Center" link on the "Download and information" or "Download Manual installers" below
    • After download is complete, exit Firefox
    • Click on the installer you just downloaded and install
      • Windows 7 and Vista: may need to right-click the installer and choose "Run as Administrator"
    • Start Firefox and check your version again or test the installation by going back to the download link below
    • Download and information: http://www.adobe.com/software/flash/about/
      • Use Firefox to go to the above site to update the Firefox plugin (will also install plugin for most other browsers; except IE)
      • Use IE to go to the above site to update the IE ActiveX
    • Download Manual installers.

If the above solves the problem, please return to this answer and click on the "Solved" button next to this answer. Thanks.




Other issues needing your attention

The information submitted with your question indicates that you have out of date plugins with known security and stability issues that should be updated. To see the plugins submitted with your question, click "More system details..." to the right of your original question post. You can also see your plugins from the Firefox menu, Tools > Add-ons > Plugins.

  • Adobe Shockwave for Director Netscape plug-in, version 11.5
    • Several updates behind
    • The version you have installed has known security issues
  1. Check your plugin versions on either of the following links':
  1. Update Shockwave for Director
    • NOTE: this is not the same as Shockwave Flash; this installs the Shockwave Player.
    • Use Firefox to download and SAVE the installer to your hard drive from the link in the article below (Desktop is a good place so you can find it).
    • When the download is complete, exit Firefox (File > Exit)
    • locate and double-click in the installer you just downloaded, let the install complete.
    • Restart Firefox and check your plugins again.
    • Download link and more information: http://support.mozilla.com/en-US/kb/Using+the+Shockwave+plugin+with+Firefox

Ilungisiwe ngu Helper7677

more options

This answer solved the problem. I did exactly as you wrote to do.

Thanks so much for your time.

Gloria Coffelt

more options

Please return to the form and click the "Solved" button next to the response that solved your question/problem. Thanks.

more options

You are welcome. Thanks for returning and marking the question as solved; that will help others with a similar question, find an answer that solved the problem.